unit propu;

// Copyright (c) 1999 by Ziff-Davis, Inc.
// Written by Neil J. Rubenking

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, ExtCtrls, hdObjs;

type
  TPropForm = class(TForm)
    reProps : TRichEdit;
    Panel1  : TPanel;
    btnOK   : TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure SetFromObj(TJ : TJunkFileObj);
  end;

var
  PropForm: TPropForm;

implementation

uses allfuncs;

{$R *.DFM}

procedure TPropForm.FormCreate(Sender: TObject);
begin
  GetPosFmEXEName(Application.Exename, Self, True);
end;

procedure TPropForm.FormDestroy(Sender: TObject);
begin
  SetPosToEXEName(Application.Exename, Self, True);
end;

procedure TPropForm.SetFromObj(TJ: TJunkFileObj);
begin
  TJ.REDisplay(reProps);
end;

end.


